package org.xesstandard.xml.issues;

import org.xesstandard.model.XesComponent;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueAttributePrefix extends XesAbstractXmlIssue {

	/**
	 * Issue raised when an attribute refers to an unknown extension.
	 */
	private Object object;
	private String key;
	String label;
	
	public XesXmlIssueAttributePrefix(XesComponent component, String key) {
		super(XesXmlIssueLevel.CONFORMING);
		this.object = component;
		this.key = key;
		label = "Component";
	}
	
	public String toString() {
		return super.toString() + "No extension declared for " + key + " (see Clause 4.5).";
	}
}
