package org.xesstandard.xml.issues;

import org.xesstandard.model.attributes.XesListAttribute;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueAttributeValues extends XesAbstractXmlIssue {

	/**
	 * Issue raised when a list attributes contains multiple values child elements.
	 */
	private XesListAttribute attribute;
	
	public XesXmlIssueAttributeValues(XesListAttribute attribute) {
		super(XesXmlIssueLevel.CONFORMING);
		this.attribute = attribute;
	}
	
	public String toString() {
		return super.toString() + "List attribute must have exactly one values element (see Clause 5.4.2).";
	}
}