package org.xesstandard.xml.issues;

import org.xesstandard.model.XesAttribute;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueNestedAttribute extends XesAbstractXmlIssue {

	/**
	 * Issue raised when the log contains nested attributes while this feature was not declared.
	 */
	private XesAttribute attribute;
	
	public XesXmlIssueNestedAttribute(XesAttribute attribute) {
		super(XesXmlIssueLevel.CONFORMING);
		this.attribute = attribute;
	}
	
	public String toString() {
		return super.toString() + "Attribute contains nested attributes, but this feature is not declared for the log (see Clause 5.1.2).";
	}
}

