package org.xesstandard.xml.issues;

import org.xesstandard.model.XesLog;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueNoNestedAttribute extends XesAbstractXmlIssue {

	/**
	 * Issue raised when the log has no nested attributes, while the features was declared.
	 */
	private XesLog log;
	
	public XesXmlIssueNoNestedAttribute(XesLog log) {
		super(XesXmlIssueLevel.CONFORMING);
		this.log = log;
	}
	
	public String toString() {
		return super.toString() + "Log declares the feature for nested attributes, but does not have any nested attribute (see Clause 5.1.2).";
	}
}

